修复WordPress自动更新失败错误详细方法

我知道WordPress的新版本出来了,所以需要更新。有些可以自动更新,但在自动更新过程中可能会出现自动更新错误状态。本文介绍了如何从网站的WordPress自动更新错误中恢复。

更新WordPress很重要,因为旧网站不安全。每次更新都会更正错误,并优化新特性和功能。此外,网站的安全性得到了提高。WordPress在无法自动更新时显示错误。

为什么WordPress自动更新失败?

WordPress更新失败或无法正常工作可能有多种原因。例如,文件权限已更改。安全模式可以是原因、服务器脚本超时、PHP内存限制耗尽等。

修复WordPress自动更新错误

这个错误有几个原因。如果出现此错误,则必须确定错误原因,然后采取相应的措施。

删除.maintenance文件

有时,当WordPress无法自行更新时,用户会在网站外部被锁定。无法访问网站管理仪表板。用户访问网站时,将显示“briefly unavailable for scheduled maintenance”等消息。发生此错误的原因是,WordPress在尝试自行更新时打开了网站维护模式。更新失败。站点处于维护模式。

维护模式如下:保存到Maintenance文件中。因此,必须找到文件并将其删除。为此,请将网站连接到FTP客户端或cPanel。必须找到Maintenance文件并将其删除。

关闭安全模式

在某些情况下,关闭安全模式可以解决WordPress更新问题。使用服务器控制面板可以轻松关闭安全模式。只需编辑Php.ini文件。

使用FTP用户端或伺服器主控台开启档案,并将此行safe_mode=on变更为此safe_mode=off。这将关闭安全模式。

然后,您需要重新启动Apache并登录网站。这样可以解决网站更新问题的错误。

文件权限

文字处理器在更新自己时在服务器上创建临时文件。创建WordPress文件需要服务器升级目录权限。要解决此问题,必须导航到网站根目录,找到升级和文件,并提供写入权限。可以提供755或777。得到适当的许可后,沃德普雷斯可以自行更新。如果授予了777权限,则必须在更新WordPress后将其更改回755。

编辑wp-config文件

如果上述方法无法更新WordPress,则必须手动将更新的凭据添加到wp-config文件中。找到Wp-config文件并添加以下代码:

Define (‘fs _ method ‘, ‘ ft pext ‘);

Define (‘FTP _ host ‘, ‘ FTP . website . com ‘);

Define (‘FTP _ user ‘, ‘ username ‘);

Define (‘FTP _ pass ‘、 ‘ password ‘);

摘要:通过此过程,可以更正书写器的自动更新错误。如果所有方法均失败,则必须手动更新WordPress。

(本文由美国主机侦探原创,转载请注明出处“美国主机侦探”和原文地址!)。

微信扫描码加好友组

及时了解主机折扣代码

QQ群组号码:938255063

主机折扣公告和通信

5赞

标签:WordPress

技术教程

Xshell官网下载地址 Xshell官网免费版下载方法

2022-9-20 14:29:47

技术教程

CentOS和Ubuntu哪个好用?CentOS和Ubuntu区别对比

2022-9-20 15:17:22

搜索